# V1 Short Interest and Float (Deprecated) `GET` `https://api.unusualwhales.com/api/shorts/{ticker}/interest-float` (This endpoint has been deprecated, use V2 now) Returns short interest and float data for percentage calculations for a ticker. This endpoint provides information about the percentage of float that is shorted, the float size, and the days to cover metric. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `created_at` | string | The datetime the record was created. | | `days_to_cover_returned` | string | The estimated number of days to cover all short positions based on average daily trading volume. | | `market_date` | date | The date of the short interest data. | | `percent_returned` | string | The percentage of float that is shorted. | | `si_float_returned` | integer | The number of shares shorted. | | `symbol` | string | The ticker symbol. | | `total_float_returned` | integer | The float (available shares for trading). | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/shorts/{ticker}/interest-float" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/shorts/{ticker}/interest-float", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "created_at": "2023-04-15T16:30:00Z", "days_to_cover_returned": "2.1", "market_date": "2023-04-15", "percent_returned": "5.67", "si_float_returned": 4250000, "symbol": "EXMP", "total_float_returned": 75000000 } } ```